
# Solutions for

## 1. Provide a method that calculates the factorial of a number
## 2. Provide a 00 class diagram for a university
- Each department provides a set of programs that offer different courses. For each course there is a teacher and the registered students. Each course can assign laboratory assignments, quizzes,and exams. For each assignment, quiz, or exam the student receives a mark of DNF (did not finis). Each student and professor must provide the name,contact email,and ID number .

- Provide an object model that provides the administration the ability to manage any number of departments that offer any number of courses. Provide a software solution with unit tests for the methods of each class.
